# Establecer Versiones Predeterminadas de Paquetes

En ServBay, puedes establecer versiones predeterminadas de paquetes para el soporte de línea de comandos que se utilizarán de forma predeterminada al ejecutar comandos en la línea de comandos o scripts relacionados, compatible con PHP, MariaDB, PostgreSQL y más. Aquí tienes las instrucciones detalladas para establecer versiones predeterminadas de paquetes:

  1. Abre ServBay.

  2. Haz clic en "Configuración" en la barra de navegación izquierda.

  3. En la página de configuración, encuentra la opción "Versión Predeterminada".

  4. En las opciones desplegables, elige las versiones predeterminadas para PHP, MariaDB y PostgreSQL, respectivamente.

  5. Haz clic en el botón "Aplicar" para aplicar los cambios.

Después de establecer las versiones predeterminadas, por ejemplo, si estableces la versión predeterminada de PHP en 7.4, al ejecutar php -v en la línea de comandos, se mostrará PHP 7.4.x (cli).

Si necesitas ejecutar temporalmente una versión no predeterminada en la línea de comandos, como PHP 8.1, puedes invocar la versión 8.1 utilizando el comando php-8.1, por ejemplo, php-8.1 -v, que mostrará PHP 8.1.x (cli).

Configuraciones similares se aplican a MariaDB, PostgreSQL y otros paquetes. Ten en cuenta que en la página de gestión de servicios, puedes ver un icono de alfiler a la derecha del nombre del servicio establecido como la versión predeterminada, indicando que esta versión es la predeterminada.

Last Updated: 11/25/2023